Page MenuHomePhabricator

Disambiguation gadget doesn't works on gl.wiki nor es.wiki
Closed, ResolvedPublic

Description

The disambiguation tool that is used on gl.wiki, https://gl.wikipedia.org/wiki/Wikipedia:Detector_de_hom%C3%B3nimos, and es.wiki,, https://es.wikipedia.org/wiki/Wikipedia:Detector_de_desambiguaciones, aren't working since weeks ago. That tool marks disambiguation links at articles and it's very useful for all users on that wikis.

Event Timeline

Elisardojm updated the task description. (Show Details)
Elisardojm raised the priority of this task from to High.
Elisardojm added a project: Community-Tech.

Could you elaborate what "aren't working" means?
Are there any errors in the web browser's console (see documentation for Firefox ≥24, Internet Explorer, Google Chrome, Apple Safari, Opera)?

The disambiguation tool maks in yellow article links that linked to a disambiguation page. If you try that page, https://gl.wikipedia.org/wiki/Usuario:Elisardojm/Probas_do_revisor2, the link to "Xoán" should be marked in yellow, but it doesn't.

Ricordisamoa added a comment.EditedAug 27 2015, 11:04 PM

After T10339 was fixed, itwiki switched to a much simpler CSS version: https://it.wikipedia.org/wiki/MediaWiki:Gadget-RivelatoreDisambigua.css (it doesn't follow redirects, though)

-jem- added a subscriber: -jem-.Aug 27 2015, 11:25 PM

After https://es.wikipedia.org/wiki/Wikipedia:Caf%C3%A9/Archivo/T%C3%A9cnica/Actual#Detector_de_desambiguaciones = https://es.wikipedia.org?diff=85143039 was opened, @Superzerocool has fixed it completely for eswiki (thanks!), and currently it also seems to be working in glwiki, at least for @Elisardojm's example and also in all of my tries. I wait for him to confirm that and close this as solved.

Yes, I think that in gl.wiki works well too.

I wish more wikis would adopt the solution used by itwiki (https://it.wikipedia.org/wiki/MediaWiki:Gadget-RivelatoreDisambigua.css). It's silly to be firing all these AJAX requests for information that is now embedded in the article. It's also a lot more fragile (as this bug attests).

I wish more wikis would adopt the solution used by itwiki (https://it.wikipedia.org/wiki/MediaWiki:Gadget-RivelatoreDisambigua.css). It's silly to be firing all these AJAX requests for information that is now embedded in the article. It's also a lot more fragile (as this bug attests).

Yes, but it only works on direct links to disambiguation pages, not on their redirects.
https://it.wikipedia.org/wiki/?oldid=75184163#Editor_di_modifica

kaldari closed this task as Resolved.Oct 20 2015, 9:23 PM
kaldari claimed this task.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Nov 3 2015, 11:44 PM